<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PersonTags StructType
 * @subpackage Structs
 */
class PersonTags extends AbstractStructBase
{
    /**
     * The Tags
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfPersonTag
     */
    public $Tags;
    /**
     * Constructor method for PersonTags
     * @uses PersonTags::setTags()
     * @param \ArrayType\ArrayOfPersonTag $tags
     */
    public function __construct(\ArrayType\ArrayOfPersonTag $tags = null)
    {
        $this
            ->setTags($tags);
    }
    /**
     * Get Tags value
     * @return \ArrayType\ArrayOfPersonTag|null
     */
    public function getTags()
    {
        return $this->Tags;
    }
    /**
     * Set Tags value
     * @param \ArrayType\ArrayOfPersonTag $tags
     * @return \StructType\PersonTags
     */
    public function setTags(\ArrayType\ArrayOfPersonTag $tags = null)
    {
        $this->Tags = $tags;
        return $this;
    }
}
